This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.288. __nv_tgammaf

Prototype:

    float @__nv_tgammaf(float %x)

Description:

Calculate the gamma function of the input argument `x`, namely the value of ∫ 0 ∞ e − t t x − 1 d t .

Returns:

- __nv_tgammaf( ± 0 ) returns ± ∞ .

- __nv_tgammaf(2) returns +0.

- __nv_tgammaf(`x`) returns ± ∞ if the correctly calculated value is outside the double floating point range.

- __nv_tgammaf(`x`) returns NaN if `x` < 0.

- __nv_tgammaf( − ∞ ) returns NaN.

- __nv_tgammaf( + ∞ ) returns + ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes